use std::error::Error;
use async_trait::async_trait;
use rocket::http::CookieJar;
use crate::models::auth::Token;

#[async_trait]
pub trait MovieDB<T> {
    fn new() -> Self;
    async fn search(&self, term: &str, token: Token) -> Result<T, Box<dyn Error>>;
}